// new_core.v

// Generated using ACDS version 20.1 720

`timescale 1 ps / 1 ps
module new_core (
		output wire [3:0] brake_light_external_connection_export, // brake_light_external_connection.export
		input  wire       brake_pedal_external_connection_export, // brake_pedal_external_connection.export
		input  wire       clk_clk,                                //                             clk.clk
		input  wire [1:0] key_external_connection_export,         //         key_external_connection.export
		output wire [2:0] left_turn_external_connection_export,   //   left_turn_external_connection.export
		input  wire       reset_reset_n,                          //                           reset.reset_n
		output wire [2:0] right_turn_external_connection_export   //  right_turn_external_connection.export
	);

	wire  [31:0] cpu_data_master_readdata;                                  // mm_interconnect_0:cpu_data_master_readdata -> cpu:d_readdata
	wire         cpu_data_master_waitrequest;                               // mm_interconnect_0:cpu_data_master_waitrequest -> cpu:d_waitrequest
	wire         cpu_data_master_debugaccess;                               // cpu:debug_mem_slave_debugaccess_to_roms -> mm_interconnect_0:cpu_data_master_debugaccess
	wire  [18:0] cpu_data_master_address;                                   // cpu:d_address -> mm_interconnect_0:cpu_data_master_address
	wire   [3:0] cpu_data_master_byteenable;                                // cpu:d_byteenable -> mm_interconnect_0:cpu_data_master_byteenable
	wire         cpu_data_master_read;                                      // cpu:d_read -> mm_interconnect_0:cpu_data_master_read
	wire         cpu_data_master_write;                                     // cpu:d_write -> mm_interconnect_0:cpu_data_master_write
	wire  [31:0] cpu_data_master_writedata;                                 // cpu:d_writedata -> mm_interconnect_0:cpu_data_master_writedata
	wire  [31:0] cpu_instruction_master_readdata;                           // mm_interconnect_0:cpu_instruction_master_readdata -> cpu:i_readdata
	wire         cpu_instruction_master_waitrequest;                        // mm_interconnect_0:cpu_instruction_master_waitrequest -> cpu:i_waitrequest
	wire  [18:0] cpu_instruction_master_address;                            // cpu:i_address -> mm_interconnect_0:cpu_instruction_master_address
	wire         cpu_instruction_master_read;                               // cpu:i_read -> mm_interconnect_0:cpu_instruction_master_read
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect;  // mm_interconnect_0:jtag_uart_avalon_jtag_slave_chipselect -> jtag_uart:av_chipselect
	wire  [31:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata;    // jtag_uart:av_readdata -> mm_interconnect_0:jtag_uart_avalon_jtag_slave_readdata
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest; // jtag_uart:av_waitrequest -> mm_interconnect_0:jtag_uart_avalon_jtag_slave_waitrequest
	wire   [0:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_address;     // mm_interconnect_0:jtag_uart_avalon_jtag_slave_address -> jtag_uart:av_address
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_read;        // mm_interconnect_0:jtag_uart_avalon_jtag_slave_read -> jtag_uart:av_read_n
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_write;       // mm_interconnect_0:jtag_uart_avalon_jtag_slave_write -> jtag_uart:av_write_n
	wire  [31:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata;   // mm_interconnect_0:jtag_uart_avalon_jtag_slave_writedata -> jtag_uart:av_writedata
	wire  [31:0] mm_interconnect_0_sysid_control_slave_readdata;            // sysid:readdata -> mm_interconnect_0:sysid_control_slave_readdata
	wire   [0:0] mm_interconnect_0_sysid_control_slave_address;             // mm_interconnect_0:sysid_control_slave_address -> sysid:address
	wire  [31:0] mm_interconnect_0_cpu_debug_mem_slave_readdata;            // cpu:debug_mem_slave_readdata -> mm_interconnect_0:cpu_debug_mem_slave_readdata
	wire         mm_interconnect_0_cpu_debug_mem_slave_waitrequest;         // cpu:debug_mem_slave_waitrequest -> mm_interconnect_0:cpu_debug_mem_slave_waitrequest
	wire         mm_interconnect_0_cpu_debug_mem_slave_debugaccess;         // mm_interconnect_0:cpu_debug_mem_slave_debugaccess -> cpu:debug_mem_slave_debugaccess
	wire   [8:0] mm_interconnect_0_cpu_debug_mem_slave_address;             // mm_interconnect_0:cpu_debug_mem_slave_address -> cpu:debug_mem_slave_address
	wire         mm_interconnect_0_cpu_debug_mem_slave_read;                // mm_interconnect_0:cpu_debug_mem_slave_read -> cpu:debug_mem_slave_read
	wire   [3:0] mm_interconnect_0_cpu_debug_mem_slave_byteenable;          // mm_interconnect_0:cpu_debug_mem_slave_byteenable -> cpu:debug_mem_slave_byteenable
	wire         mm_interconnect_0_cpu_debug_mem_slave_write;               // mm_interconnect_0:cpu_debug_mem_slave_write -> cpu:debug_mem_slave_write
	wire  [31:0] mm_interconnect_0_cpu_debug_mem_slave_writedata;           // mm_interconnect_0:cpu_debug_mem_slave_writedata -> cpu:debug_mem_slave_writedata
	wire         mm_interconnect_0_prog_mem_s1_chipselect;                  // mm_interconnect_0:prog_mem_s1_chipselect -> prog_mem:chipselect
	wire  [31:0] mm_interconnect_0_prog_mem_s1_readdata;                    // prog_mem:readdata -> mm_interconnect_0:prog_mem_s1_readdata
	wire  [14:0] mm_interconnect_0_prog_mem_s1_address;                     // mm_interconnect_0:prog_mem_s1_address -> prog_mem:address
	wire   [3:0] mm_interconnect_0_prog_mem_s1_byteenable;                  // mm_interconnect_0:prog_mem_s1_byteenable -> prog_mem:byteenable
	wire         mm_interconnect_0_prog_mem_s1_write;                       // mm_interconnect_0:prog_mem_s1_write -> prog_mem:write
	wire  [31:0] mm_interconnect_0_prog_mem_s1_writedata;                   // mm_interconnect_0:prog_mem_s1_writedata -> prog_mem:writedata
	wire         mm_interconnect_0_prog_mem_s1_clken;                       // mm_interconnect_0:prog_mem_s1_clken -> prog_mem:clken
	wire         mm_interconnect_0_sys_timer_s1_chipselect;                 // mm_interconnect_0:sys_timer_s1_chipselect -> sys_timer:chipselect
	wire  [15:0] mm_interconnect_0_sys_timer_s1_readdata;                   // sys_timer:readdata -> mm_interconnect_0:sys_timer_s1_readdata
	wire   [2:0] mm_interconnect_0_sys_timer_s1_address;                    // mm_interconnect_0:sys_timer_s1_address -> sys_timer:address
	wire         mm_interconnect_0_sys_timer_s1_write;                      // mm_interconnect_0:sys_timer_s1_write -> sys_timer:write_n
	wire  [15:0] mm_interconnect_0_sys_timer_s1_writedata;                  // mm_interconnect_0:sys_timer_s1_writedata -> sys_timer:writedata
	wire  [31:0] mm_interconnect_0_brake_pedal_s1_readdata;                 // brake_pedal:readdata -> mm_interconnect_0:brake_pedal_s1_readdata
	wire   [1:0] mm_interconnect_0_brake_pedal_s1_address;                  // mm_interconnect_0:brake_pedal_s1_address -> brake_pedal:address
	wire         mm_interconnect_0_left_turn_s1_chipselect;                 // mm_interconnect_0:left_turn_s1_chipselect -> left_turn:chipselect
	wire  [31:0] mm_interconnect_0_left_turn_s1_readdata;                   // left_turn:readdata -> mm_interconnect_0:left_turn_s1_readdata
	wire   [1:0] mm_interconnect_0_left_turn_s1_address;                    // mm_interconnect_0:left_turn_s1_address -> left_turn:address
	wire         mm_interconnect_0_left_turn_s1_write;                      // mm_interconnect_0:left_turn_s1_write -> left_turn:write_n
	wire  [31:0] mm_interconnect_0_left_turn_s1_writedata;                  // mm_interconnect_0:left_turn_s1_writedata -> left_turn:writedata
	wire         mm_interconnect_0_right_turn_s1_chipselect;                // mm_interconnect_0:right_turn_s1_chipselect -> right_turn:chipselect
	wire  [31:0] mm_interconnect_0_right_turn_s1_readdata;                  // right_turn:readdata -> mm_interconnect_0:right_turn_s1_readdata
	wire   [1:0] mm_interconnect_0_right_turn_s1_address;                   // mm_interconnect_0:right_turn_s1_address -> right_turn:address
	wire         mm_interconnect_0_right_turn_s1_write;                     // mm_interconnect_0:right_turn_s1_write -> right_turn:write_n
	wire  [31:0] mm_interconnect_0_right_turn_s1_writedata;                 // mm_interconnect_0:right_turn_s1_writedata -> right_turn:writedata
	wire  [31:0] mm_interconnect_0_turn_signal_s1_readdata;                 // turn_signal:readdata -> mm_interconnect_0:turn_signal_s1_readdata
	wire   [1:0] mm_interconnect_0_turn_signal_s1_address;                  // mm_interconnect_0:turn_signal_s1_address -> turn_signal:address
	wire         mm_interconnect_0_brake_light_s1_chipselect;               // mm_interconnect_0:brake_light_s1_chipselect -> brake_light:chipselect
	wire  [31:0] mm_interconnect_0_brake_light_s1_readdata;                 // brake_light:readdata -> mm_interconnect_0:brake_light_s1_readdata
	wire   [1:0] mm_interconnect_0_brake_light_s1_address;                  // mm_interconnect_0:brake_light_s1_address -> brake_light:address
	wire         mm_interconnect_0_brake_light_s1_write;                    // mm_interconnect_0:brake_light_s1_write -> brake_light:write_n
	wire  [31:0] mm_interconnect_0_brake_light_s1_writedata;                // mm_interconnect_0:brake_light_s1_writedata -> brake_light:writedata
	wire         irq_mapper_receiver0_irq;                                  // sys_timer:irq -> irq_mapper:receiver0_irq
	wire         irq_mapper_receiver1_irq;                                  // jtag_uart:av_irq -> irq_mapper:receiver1_irq
	wire  [31:0] cpu_irq_irq;                                               // irq_mapper:sender_irq -> cpu:irq
	wire         rst_controller_reset_out_reset;                            // rst_controller:reset_out -> [brake_light:reset_n, brake_pedal:reset_n, cpu:reset_n, irq_mapper:reset, jtag_uart:rst_n, left_turn:reset_n, mm_interconnect_0:cpu_reset_reset_bridge_in_reset_reset, prog_mem:reset, right_turn:reset_n, rst_translator:in_reset, sys_timer:reset_n, sysid:reset_n, turn_signal:reset_n]
	wire         rst_controller_reset_out_reset_req;                        // rst_controller:reset_req -> [cpu:reset_req, prog_mem:reset_req, rst_translator:reset_req_in]
	wire         cpu_debug_reset_request_reset;                             // cpu:debug_reset_request -> rst_controller:reset_in1

	new_core_brake_light brake_light (
		.clk        (clk_clk),                                     //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),             //               reset.reset_n
		.address    (mm_interconnect_0_brake_light_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_brake_light_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_brake_light_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_brake_light_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_brake_light_s1_readdata),   //                    .readdata
		.out_port   (brake_light_external_connection_export)       // external_connection.export
	);

	new_core_brake_pedal brake_pedal (
		.clk      (clk_clk),                                   //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),           //               reset.reset_n
		.address  (mm_interconnect_0_brake_pedal_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_brake_pedal_s1_readdata), //                    .readdata
		.in_port  (brake_pedal_external_connection_export)     // external_connection.export
	);

	new_core_cpu cpu (
		.clk                                 (clk_clk),                                           //                       clk.clk
		.reset_n                             (~rst_controller_reset_out_reset),                   //                     reset.reset_n
		.reset_req                           (rst_controller_reset_out_reset_req),                //                          .reset_req
		.d_address                           (cpu_data_master_address),                           //               data_master.address
		.d_byteenable                        (cpu_data_master_byteenable),                        //                          .byteenable
		.d_read                              (cpu_data_master_read),                              //                          .read
		.d_readdata                          (cpu_data_master_readdata),                          //                          .readdata
		.d_waitrequest                       (cpu_data_master_waitrequest),                       //                          .waitrequest
		.d_write                             (cpu_data_master_write),                             //                          .write
		.d_writedata                         (cpu_data_master_writedata),                         //                          .writedata
		.debug_mem_slave_debugaccess_to_roms (cpu_data_master_debugaccess),                       //                          .debugaccess
		.i_address                           (cpu_instruction_master_address),                    //        instruction_master.address
		.i_read                              (cpu_instruction_master_read),                       //                          .read
		.i_readdata                          (cpu_instruction_master_readdata),                   //                          .readdata
		.i_waitrequest                       (cpu_instruction_master_waitrequest),                //                          .waitrequest
		.irq                                 (cpu_irq_irq),                                       //                       irq.irq
		.debug_reset_request                 (cpu_debug_reset_request_reset),                     //       debug_reset_request.reset
		.debug_mem_slave_address             (mm_interconnect_0_cpu_debug_mem_slave_address),     //           debug_mem_slave.address
		.debug_mem_slave_byteenable          (mm_interconnect_0_cpu_debug_mem_slave_byteenable),  //                          .byteenable
		.debug_mem_slave_debugaccess         (mm_interconnect_0_cpu_debug_mem_slave_debugaccess), //                          .debugaccess
		.debug_mem_slave_read                (mm_interconnect_0_cpu_debug_mem_slave_read),        //                          .read
		.debug_mem_slave_readdata            (mm_interconnect_0_cpu_debug_mem_slave_readdata),    //                          .readdata
		.debug_mem_slave_waitrequest         (mm_interconnect_0_cpu_debug_mem_slave_waitrequest), //                          .waitrequest
		.debug_mem_slave_write               (mm_interconnect_0_cpu_debug_mem_slave_write),       //                          .write
		.debug_mem_slave_writedata           (mm_interconnect_0_cpu_debug_mem_slave_writedata),   //                          .writedata
		.dummy_ci_port                       ()                                                   // custom_instruction_master.readra
	);

	new_core_jtag_uart jtag_uart (
		.clk            (clk_clk),                                                   //               clk.clk
		.rst_n          (~rst_controller_reset_out_reset),                           //             reset.reset_n
		.av_chipselect  (mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect),  // avalon_jtag_slave.chipselect
		.av_address     (mm_interconnect_0_jtag_uart_avalon_jtag_slave_address),     //                  .address
		.av_read_n      (~mm_interconnect_0_jtag_uart_avalon_jtag_slave_read),       //                  .read_n
		.av_readdata    (mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata),    //                  .readdata
		.av_write_n     (~mm_interconnect_0_jtag_uart_avalon_jtag_slave_write),      //                  .write_n
		.av_writedata   (mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata),   //                  .writedata
		.av_waitrequest (mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest), //                  .waitrequest
		.av_irq         (irq_mapper_receiver1_irq)                                   //               irq.irq
	);

	new_core_left_turn left_turn (
		.clk        (clk_clk),                                   //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),           //               reset.reset_n
		.address    (mm_interconnect_0_left_turn_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_left_turn_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_left_turn_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_left_turn_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_left_turn_s1_readdata),   //                    .readdata
		.out_port   (left_turn_external_connection_export)       // external_connection.export
	);

	new_core_prog_mem prog_mem (
		.clk        (clk_clk),                                  //   clk1.clk
		.address    (mm_interconnect_0_prog_mem_s1_address),    //     s1.address
		.clken      (mm_interconnect_0_prog_mem_s1_clken),      //       .clken
		.chipselect (mm_interconnect_0_prog_mem_s1_chipselect), //       .chipselect
		.write      (mm_interconnect_0_prog_mem_s1_write),      //       .write
		.readdata   (mm_interconnect_0_prog_mem_s1_readdata),   //       .readdata
		.writedata  (mm_interconnect_0_prog_mem_s1_writedata),  //       .writedata
		.byteenable (mm_interconnect_0_prog_mem_s1_byteenable), //       .byteenable
		.reset      (rst_controller_reset_out_reset),           // reset1.reset
		.reset_req  (rst_controller_reset_out_reset_req),       //       .reset_req
		.freeze     (1'b0)                                      // (terminated)
	);

	new_core_left_turn right_turn (
		.clk        (clk_clk),                                    //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),            //               reset.reset_n
		.address    (mm_interconnect_0_right_turn_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_right_turn_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_right_turn_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_right_turn_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_right_turn_s1_readdata),   //                    .readdata
		.out_port   (right_turn_external_connection_export)       // external_connection.export
	);

	new_core_sys_timer sys_timer (
		.clk        (clk_clk),                                   //   clk.clk
		.reset_n    (~rst_controller_reset_out_reset),           // reset.reset_n
		.address    (mm_interconnect_0_sys_timer_s1_address),    //    s1.address
		.writedata  (mm_interconnect_0_sys_timer_s1_writedata),  //      .writedata
		.readdata   (mm_interconnect_0_sys_timer_s1_readdata),   //      .readdata
		.chipselect (mm_interconnect_0_sys_timer_s1_chipselect), //      .chipselect
		.write_n    (~mm_interconnect_0_sys_timer_s1_write),     //      .write_n
		.irq        (irq_mapper_receiver0_irq)                   //   irq.irq
	);

	new_core_sysid sysid (
		.clock    (clk_clk),                                        //           clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                //         reset.reset_n
		.readdata (mm_interconnect_0_sysid_control_slave_readdata), // control_slave.readdata
		.address  (mm_interconnect_0_sysid_control_slave_address)   //              .address
	);

	new_core_turn_signal turn_signal (
		.clk      (clk_clk),                                   //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),           //               reset.reset_n
		.address  (mm_interconnect_0_turn_signal_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_turn_signal_s1_readdata), //                    .readdata
		.in_port  (key_external_connection_export)             // external_connection.export
	);

	new_core_mm_interconnect_0 mm_interconnect_0 (
		.clk_0_clk_clk                           (clk_clk),                                                   //                       clk_0_clk.clk
		.cpu_reset_reset_bridge_in_reset_reset   (rst_controller_reset_out_reset),                            // cpu_reset_reset_bridge_in_reset.reset
		.cpu_data_master_address                 (cpu_data_master_address),                                   //                 cpu_data_master.address
		.cpu_data_master_waitrequest             (cpu_data_master_waitrequest),                               //                                .waitrequest
		.cpu_data_master_byteenable              (cpu_data_master_byteenable),                                //                                .byteenable
		.cpu_data_master_read                    (cpu_data_master_read),                                      //                                .read
		.cpu_data_master_readdata                (cpu_data_master_readdata),                                  //                                .readdata
		.cpu_data_master_write                   (cpu_data_master_write),                                     //                                .write
		.cpu_data_master_writedata               (cpu_data_master_writedata),                                 //                                .writedata
		.cpu_data_master_debugaccess             (cpu_data_master_debugaccess),                               //                                .debugaccess
		.cpu_instruction_master_address          (cpu_instruction_master_address),                            //          cpu_instruction_master.address
		.cpu_instruction_master_waitrequest      (cpu_instruction_master_waitrequest),                        //                                .waitrequest
		.cpu_instruction_master_read             (cpu_instruction_master_read),                               //                                .read
		.cpu_instruction_master_readdata         (cpu_instruction_master_readdata),                           //                                .readdata
		.brake_light_s1_address                  (mm_interconnect_0_brake_light_s1_address),                  //                  brake_light_s1.address
		.brake_light_s1_write                    (mm_interconnect_0_brake_light_s1_write),                    //                                .write
		.brake_light_s1_readdata                 (mm_interconnect_0_brake_light_s1_readdata),                 //                                .readdata
		.brake_light_s1_writedata                (mm_interconnect_0_brake_light_s1_writedata),                //                                .writedata
		.brake_light_s1_chipselect               (mm_interconnect_0_brake_light_s1_chipselect),               //                                .chipselect
		.brake_pedal_s1_address                  (mm_interconnect_0_brake_pedal_s1_address),                  //                  brake_pedal_s1.address
		.brake_pedal_s1_readdata                 (mm_interconnect_0_brake_pedal_s1_readdata),                 //                                .readdata
		.cpu_debug_mem_slave_address             (mm_interconnect_0_cpu_debug_mem_slave_address),             //             cpu_debug_mem_slave.address
		.cpu_debug_mem_slave_write               (mm_interconnect_0_cpu_debug_mem_slave_write),               //                                .write
		.cpu_debug_mem_slave_read                (mm_interconnect_0_cpu_debug_mem_slave_read),                //                                .read
		.cpu_debug_mem_slave_readdata            (mm_interconnect_0_cpu_debug_mem_slave_readdata),            //                                .readdata
		.cpu_debug_mem_slave_writedata           (mm_interconnect_0_cpu_debug_mem_slave_writedata),           //                                .writedata
		.cpu_debug_mem_slave_byteenable          (mm_interconnect_0_cpu_debug_mem_slave_byteenable),          //                                .byteenable
		.cpu_debug_mem_slave_waitrequest         (mm_interconnect_0_cpu_debug_mem_slave_waitrequest),         //                                .waitrequest
		.cpu_debug_mem_slave_debugaccess         (mm_interconnect_0_cpu_debug_mem_slave_debugaccess),         //                                .debugaccess
		.jtag_uart_avalon_jtag_slave_address     (mm_interconnect_0_jtag_uart_avalon_jtag_slave_address),     //     jtag_uart_avalon_jtag_slave.address
		.jtag_uart_avalon_jtag_slave_write       (mm_interconnect_0_jtag_uart_avalon_jtag_slave_write),       //                                .write
		.jtag_uart_avalon_jtag_slave_read        (mm_interconnect_0_jtag_uart_avalon_jtag_slave_read),        //                                .read
		.jtag_uart_avalon_jtag_slave_readdata    (mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata),    //                                .readdata
		.jtag_uart_avalon_jtag_slave_writedata   (mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata),   //                                .writedata
		.jtag_uart_avalon_jtag_slave_waitrequest (mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest), //                                .waitrequest
		.jtag_uart_avalon_jtag_slave_chipselect  (mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect),  //                                .chipselect
		.left_turn_s1_address                    (mm_interconnect_0_left_turn_s1_address),                    //                    left_turn_s1.address
		.left_turn_s1_write                      (mm_interconnect_0_left_turn_s1_write),                      //                                .write
		.left_turn_s1_readdata                   (mm_interconnect_0_left_turn_s1_readdata),                   //                                .readdata
		.left_turn_s1_writedata                  (mm_interconnect_0_left_turn_s1_writedata),                  //                                .writedata
		.left_turn_s1_chipselect                 (mm_interconnect_0_left_turn_s1_chipselect),                 //                                .chipselect
		.prog_mem_s1_address                     (mm_interconnect_0_prog_mem_s1_address),                     //                     prog_mem_s1.address
		.prog_mem_s1_write                       (mm_interconnect_0_prog_mem_s1_write),                       //                                .write
		.prog_mem_s1_readdata                    (mm_interconnect_0_prog_mem_s1_readdata),                    //                                .readdata
		.prog_mem_s1_writedata                   (mm_interconnect_0_prog_mem_s1_writedata),                   //                                .writedata
		.prog_mem_s1_byteenable                  (mm_interconnect_0_prog_mem_s1_byteenable),                  //                                .byteenable
		.prog_mem_s1_chipselect                  (mm_interconnect_0_prog_mem_s1_chipselect),                  //                                .chipselect
		.prog_mem_s1_clken                       (mm_interconnect_0_prog_mem_s1_clken),                       //                                .clken
		.right_turn_s1_address                   (mm_interconnect_0_right_turn_s1_address),                   //                   right_turn_s1.address
		.right_turn_s1_write                     (mm_interconnect_0_right_turn_s1_write),                     //                                .write
		.right_turn_s1_readdata                  (mm_interconnect_0_right_turn_s1_readdata),                  //                                .readdata
		.right_turn_s1_writedata                 (mm_interconnect_0_right_turn_s1_writedata),                 //                                .writedata
		.right_turn_s1_chipselect                (mm_interconnect_0_right_turn_s1_chipselect),                //                                .chipselect
		.sys_timer_s1_address                    (mm_interconnect_0_sys_timer_s1_address),                    //                    sys_timer_s1.address
		.sys_timer_s1_write                      (mm_interconnect_0_sys_timer_s1_write),                      //                                .write
		.sys_timer_s1_readdata                   (mm_interconnect_0_sys_timer_s1_readdata),                   //                                .readdata
		.sys_timer_s1_writedata                  (mm_interconnect_0_sys_timer_s1_writedata),                  //                                .writedata
		.sys_timer_s1_chipselect                 (mm_interconnect_0_sys_timer_s1_chipselect),                 //                                .chipselect
		.sysid_control_slave_address             (mm_interconnect_0_sysid_control_slave_address),             //             sysid_control_slave.address
		.sysid_control_slave_readdata            (mm_interconnect_0_sysid_control_slave_readdata),            //                                .readdata
		.turn_signal_s1_address                  (mm_interconnect_0_turn_signal_s1_address),                  //                  turn_signal_s1.address
		.turn_signal_s1_readdata                 (mm_interconnect_0_turn_signal_s1_readdata)                  //                                .readdata
	);

	new_core_irq_mapper irq_mapper (
		.clk           (clk_clk),                        //       clk.clk
		.reset         (rst_controller_reset_out_reset), // clk_reset.reset
		.receiver0_irq (irq_mapper_receiver0_irq),       // receiver0.irq
		.receiver1_irq (irq_mapper_receiver1_irq),       // receiver1.irq
		.sender_irq    (cpu_irq_irq)                     //    sender.irq
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_reset_n),                     // reset_in0.reset
		.reset_in1      (cpu_debug_reset_request_reset),      // reset_in1.reset
		.clk            (clk_clk),                            //       clk.clk
		.reset_out      (rst_controller_reset_out_reset),     // reset_out.reset
		.reset_req      (rst_controller_reset_out_reset_req), //          .reset_req
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

endmodule
